Package com.tableau.hyperapi

## Class TableDefinition.Column

- java.lang.Object
- - com.tableau.hyperapi.TableDefinition.Column

- Enclosing class:
    TableDefinition

      public static final class TableDefinition.Column
      extends java.lang.Object

  A single column.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Column​(Name columnName, SqlType type)` | Creates a column.
    `Column​(Name columnName, SqlType type, Nullability nullability)` | Creates a column.
    `Column​(Name columnName, SqlType type, java.lang.String collation)` | Creates a column.
    `Column​(Name columnName, SqlType type, java.lang.String collation, Nullability nullability)` | Creates a column.
    `Column​(java.lang.String columnName, SqlType type)` | Creates a column.
    `Column​(java.lang.String columnName, SqlType type, Nullability nullability)` | Creates a column.
    `Column​(java.lang.String columnName, SqlType type, java.lang.String collation)` | Creates a column.
    `Column​(java.lang.String columnName, SqlType type, java.lang.String collation, Nullability nullability)` | Creates a column.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCollation()` | Returns the collation of the column.
    `Name` | `getName()` | Returns the name of the column.
    `Nullability` | `getNullability()` | Returns whether the column can store null values.
    `SqlType` | `getType()` | Returns the type of the column.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Column

          public Column​(Name columnName,
                        SqlType type,
                        java.lang.String collation,
                        Nullability nullability)

      Creates a column.
      Parameters:
        `columnName` - Column name.
        `type` - SQL type.
        `collation` - The collation (used for sorting and equality checks).
        `nullability` - Whether the column store null values.

    - #### Column

          public Column​(java.lang.String columnName,
                        SqlType type,
                        java.lang.String collation,
                        Nullability nullability)

      Creates a column.
      Parameters:
        `columnName` - Column name.
        `type` - SQL type.
        `collation` - The collation (used for sorting and equality checks).
        `nullability` - Whether the column store null values.

    - #### Column

          public Column​(java.lang.String columnName,
                        SqlType type,
                        java.lang.String collation)

      Creates a column.
      Parameters:
        `columnName` - Column name.
        `type` - SQL type.
        `collation` - The collation (used for sorting and equality checks).

    - #### Column

          public Column​(Name columnName,
                        SqlType type,
                        java.lang.String collation)

      Creates a column.
      Parameters:
        `columnName` - Column name.
        `type` - SQL type.
        `collation` - The collation (used for sorting and equality checks).

    - #### Column

          public Column​(java.lang.String columnName,
                        SqlType type,
                        Nullability nullability)

      Creates a column.
      Parameters:
        `columnName` - Column name.
        `type` - SQL type.
        `nullability` - Whether the column store null values.

    - #### Column

          public Column​(Name columnName,
                        SqlType type,
                        Nullability nullability)

      Creates a column.
      Parameters:
        `columnName` - Column name.
        `type` - SQL type.
        `nullability` - Whether the column store null values.

    - #### Column

          public Column​(java.lang.String columnName,
                        SqlType type)

      Creates a column.
      Parameters:
        `columnName` - Column name.
        `type` - SQL type.

    - #### Column

          public Column​(Name columnName,
                        SqlType type)

      Creates a column.
      Parameters:
        `columnName` - Column name.
        `type` - SQL type.

  - ### Method Detail

    - #### getName

          public Name getName()

      Returns the name of the column.
      Returns:
        The name.

    - #### getType

          public SqlType getType()

      Returns the type of the column.
      Returns:
        The type.

    - #### getNullability

          public Nullability getNullability()

      Returns whether the column can store null values.
      Returns:
        The nullability.

    - #### getCollation

          public java.lang.String getCollation()

      Returns the collation of the column.
      Returns:
        The collation.